<?php
/**
 Template Name: PrettyPhoto Page
 **/
global $data;
$tpl_body_id = 'prettyphoto';
get_header(); 
update_option('current_page_template','body_portfolio body_prettyphoto body_gallery_2col_pp');

global $wp_query;
$template_name = get_post_meta( $wp_query->post->ID, '_wp_page_template', true );

$no_of_page_columns = get_post_meta( $wp_query->post->ID, 'kingsize_page_columns', true );
if(empty($no_of_page_columns))
	$no_of_page_columns = "2columns";

?>		<!-- Main wrap -->
		<div id="main_wrap">			
	  		<!-- Main -->
   			 <div id="main">   			 	
			 <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
      			<?php if ( $data['wm_show_page_post_headers'] == "" || $data['wm_show_page_post_headers'] == "0" ) {?><h2 class="section_title"><?php the_title(); ?></h2><?php } else { ?><h2></h2><?php } ?><!-- This is your section title -->

					<div id="content" class="content_full_width">
					<?php if($content = $post->post_content) {  the_content();  } else { the_content(); } ?>
				
				  	<?php	
						$checkPasswd = false;
					if (!empty($post->post_password)) { // if there's a password
					if(!post_password_required($post->ID)) {
						$checkPasswd = true;
					 }
					 else
						 $checkPasswd = false;
					}
					else{
						$checkPasswd = true;
					}


					if($checkPasswd == true) :
					?>	
      					<!-- Gallery with prettyPhoto plugin -->
      					<div id="gallery_prettyphoto" class="gallery">
    					   <ul class="gallery_<?php echo $no_of_page_columns;?>">							
							<?php 
								//getting the page Gallery attachments images
								$args = array('post_type' => 'attachment', 'post_parent' => $post->ID,  'orderby' => menu_order, 'order' => ASC); 
								$attachments = get_children($args); 
								$url_post_img = "";								

								if ($attachments) { 
									foreach ($attachments as $attachment) { 
										if($no_of_page_columns=="2columns")
											$url_post_img = wm_image_resize('330','220', wp_get_attachment_url($attachment->ID));
										elseif($no_of_page_columns=="3columns")
											$url_post_img = wm_image_resize('220','140', wp_get_attachment_url($attachment->ID));
										elseif($no_of_page_columns=="4columns")
											$url_post_img = wm_image_resize('160','110', wp_get_attachment_url($attachment->ID));
										elseif($no_of_page_columns=="grid")
											$url_post_img = wm_image_resize('112','112', wp_get_attachment_url($attachment->ID));

										$post_title = $attachment->post_title."<p>".strip_tags($attachment->post_content)."</p>";

										if(get_post_meta($attachment->ID, '_wp_attachment_image_alt', true) == "")
											$post_alt = $attachment->post_title;
										else
											$post_alt = get_post_meta($attachment->ID, '_wp_attachment_image_alt', true);
								?>
									<li><a href="<?php echo wp_get_attachment_url($attachment->ID);?>" class="image" title="<?php if($data["wm_gallery_titles_prettyphoto"] == "Enable PrettyPhoto Titles") { echo $post_title; } ?>" rel="prettyPhoto[gallery]"><img  src="<?php echo $url_post_img;?>" alt="<?php  if($data["wm_gallery_titles_prettyphoto"] == "Enable PrettyPhoto Titles") { echo $post_alt; } ?>" title="<?php if($data["wm_gallery_titles_prettyphoto"] == "Enable PrettyPhoto Titles") { echo $attachment->post_title; } ?>"/></a></li>									
							<?php
								   }
								}
							?>								
							</ul>		
						</div>	
						<?php endif; //password protected check?> 
							<?php endwhile; ?>
						<?php endif;?>
						<!-- Gallery ends here -->
						
						</div><!-- 	Content full width class -->
						
						<?php if ( $data['wm_show_comments'] == "1" ) {?>
						<div id="content_gallery_bottom">
						<?php comments_template( '/comments.php' ); ?>
						</div>
						<?php } else { ?>
						<!-- No Comments -->
						<?php } ?>

<?php get_footer(); ?>